Elenco dei pazienti
curl --request GET \
--url https://api.dentalspace.ai/v1/patients \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dentalspace.ai/v1/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dentalspace.ai/v1/patients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"dateOfBirth": "<string>",
"gender": "<string>",
"taxCode": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"zip": "<string>",
"country": "<string>"
},
"facilityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referralSource": "<string>",
"isActive": true,
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"allergies": [
"<string>"
],
"medications": [
"<string>"
],
"conditions": [
"<string>"
],
"notes": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}Pazienti
Elenco dei pazienti
Scope: patients:read.
Anagrafica, senza dati sanitari (quelli stanno solo nella scheda e nel /clinical, con clinical:read). Di default solo i pazienti attivi. Per cercare per nome usa /patients/search.
GET
/
patients
Elenco dei pazienti
curl --request GET \
--url https://api.dentalspace.ai/v1/patients \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dentalspace.ai/v1/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dentalspace.ai/v1/patients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"dateOfBirth": "<string>",
"gender": "<string>",
"taxCode": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"zip": "<string>",
"country": "<string>"
},
"facilityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referralSource": "<string>",
"isActive": true,
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"allergies": [
"<string>"
],
"medications": [
"<string>"
],
"conditions": [
"<string>"
],
"notes": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Quante righe per pagina (1-200).
Required range:
1 <= x <= 200Il nextCursor della pagina precedente, tale e quale.
Maximum string length:
500Solo le righe modificate da questo istante in poi (sincronizzazione incrementale).
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$In qualunque formato: si confronta quello canonico.
Required string length:
3 - 30Senza distinguere maiuscole.
Required string length:
3 - 200Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$true = solo gli archiviati.
Available options:
true, false